# QFtp Class Reference

### [com.trolltech.qt.network package]

Inherits QObject.

### Constructor

- void QFtp(QObject parent)

### Constructor Properties

- prototype: The QFtp prototype object
- Binary
- Ascii
- TransferType( value )
- NoError
- UnknownError
- HostNotFound
- ConnectionRefused
- NotConnected
- Error( value )
- None
- SetTransferMode
- SetProxy
- ConnectToHost
- Login
- Close
- List
- Cd
- Get
- Put
- Remove
- Mkdir
- Rmdir
- Rename
- RawCommand
- Command( value )
- Active
- Passive
- TransferMode( value )
- Unconnected
- HostLookup
- Connecting
- Connected
- LoggedIn
- Closing
- State( value )

### Prototype Object Properties

The QFtp prototype object inherits properties from the QObject prototype object and also has the following properties.

- qint64 bytesAvailable()
- int cd(String dir)
- void clearPendingCommands()
- int close()
- int connectToHost(String host, unsigned short port)
- Command currentCommand()
- QIODevice currentDevice()
- int currentId()
- Error error()
- String errorString()
- int get(String file, QIODevice dev, TransferType type)
- bool hasPendingCommands()
- int list(String dir)
- int login(String user, String password)
- int mkdir(String dir)
- int put(QIODevice dev, String file, TransferType type)
- int rawCommand(String command)
- qint64 read(char data, qint64 maxlen)
- QByteArray readAll()
- int remove(String file)
- int rename(String oldname, String newname)
- int rmdir(String dir)
- int setProxy(String host, unsigned short port)
- int setTransferMode(TransferMode mode)
- State state()

### Instance Properties

QFtp objects have no special properties beyond those inherited from the QFtp prototype object.